![GitHub Workflow Status](https://img.shields.io/github/actions/workflow/status/redlotus-dev/farialimer/faria-limer-tests.yaml)
[![codecov](https://codecov.io/github/redlotus-dev/farialimer/branch/main/graph/badge.svg?token=DT5E8GHT8Q)](https://codecov.io/github/redlotus-dev/farialimer)
[![Sonarcloud Status](https://sonarcloud.io/api/project_badges/measure?project=redlotus-dev_farialimer&metric=alert_status)](https://sonarcloud.io/dashboard?id=redlotus-dev_farialimer)
[![SonarCloud Bugs](https://sonarcloud.io/api/project_badges/measure?project=redlotus-dev_farialimer&metric=bugs)](https://sonarcloud.io/component_measures/metric/reliability_rating/list?id=redlotus-dev_farialimer)
[![SonarCloud Vulnerabilities](https://sonarcloud.io/api/project_badges/measure?project=redlotus-dev_farialimer&metric=vulnerabilities)](https://sonarcloud.io/component_measures/metric/security_rating/list?id=redlotus-dev_farialimer)
# farialimer
Parser / Writer for Brazilian Finance Documents
![farialimer](https://user-images.githubusercontent.com/8230037/219248391-ffad24cd-50f9-4fb5-8fc9-19a45561ab0e.png)

# Intro
Bem-vindo ao projeto de CNAB e IMBARQ! Este projeto tem como objetivo fornecer uma solução open source para processar e gerenciar arquivos de remessa e retorno de cobranças bancárias, de acordo com as normas CNAB e IMBARQ.

Chegou a hora de unificar nossos esforços e resolver de uma vez por todas essa implementação de layouts.

Nossa equipe acredita que a transparência e a colaboração são essenciais para o desenvolvimento de soluções financeiras eficientes e confiáveis. Nós convidamos a comunidade a participar deste projeto, compartilhar ideias, reportar bugs e contribuir com código. Juntos, podemos criar uma solução robusta e de alta qualidade para o setor financeiro.

## CNAB
CNAB significa "Centro Nacional de Automação Bancária". É um padrão de arquivo utilizado por bancos no Brasil para a transferência de informações financeiras, como cobranças, pagamentos, boletos bancários, entre outras. O CNAB é um padrão estabelecido pela Febraban (Federação Brasileira de Bancos) que padroniza a forma como os arquivos são estruturados, tornando mais fácil e ágil a integração entre sistemas de diferentes bancos. O uso do CNAB permite a automação de processos bancários, melhorando a eficiência e a segurança nas transações financeiras.

## IMBARQ
IMBARQ significa "Interface para Movimentação Bancária de Retorno e Quitação". É um padrão de arquivo utilizado pela B3 (Bolsa Brasileira de Valores) para a transferência de informações financeiras entre instituições financeiras. O IMBARQ é utilizado para facilitar a integração de sistemas de diferentes bancos, permitindo a realização de operações bancárias de forma mais ágil e segura.

## Outros Projetos
Uma lista com outros projetos que serviram de inspiração:
- https://github.com/Trust-Code/python-cnab
- https://github.com/kivanio/brcobranca
- https://github.com/kmee/cnab240
- https://github.com/vintasoftware/aurorae
- https://github.com/glauberportella/cnab-layouts
